=== modified file 'procurement_cycle/__init__.py'
--- procurement_cycle/__init__.py	2011-04-01 12:46:06 +0000
+++ procurement_cycle/__init__.py	2011-04-04 15:52:40 +0000
@@ -20,5 +20,6 @@
 ##############################################################################
 
 import procurement
+import wizard
 
 # vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
\ No newline at end of file

=== modified file 'procurement_cycle/__openerp__.py'
--- procurement_cycle/__openerp__.py	2011-04-01 12:46:06 +0000
+++ procurement_cycle/__openerp__.py	2011-04-04 15:52:40 +0000
@@ -25,6 +25,7 @@
     "depends": ["base",
                 "procurement",
                 "stock",
+                "product_consumption",
                 "stock_schedule"],
     "author": "TeMPO Consulting, MSF",
     "website": "",
@@ -32,12 +33,18 @@
     "description": """
         This module aims to add a new replenishment policies with
         fixed dates and variable quantities.
+        
+        BE CAREFUL: THIS MODULE WAS CREATED DURING THE DEVELOPMENT
+        OF THE STOCK REPLENISHMENT MODULE IN ITERATION 1. DON'T FORGET
+        TO CHANGE BEHAVIOUR OF THIS MODULE IF YOUR CHANGE THE LOGIC OF THIS 
+        NEW MODULE
     """,
     "init_xml": [
     ],
     'update_xml': [
         'procurement_view.xml',
         'procurement_data.xml',
+        'wizard/schedulers_all_view.xml',
         'security/ir.model.access.csv',
     ],
     'demo_xml': [

=== modified file 'procurement_cycle/procurement.py'
--- procurement_cycle/procurement.py	2011-04-04 13:59:35 +0000
+++ procurement_cycle/procurement.py	2011-04-04 15:52:40 +0000
@@ -54,9 +54,9 @@
         'order_coverage': fields.integer(string='Order coverage'),
         'safety_stock_time': fields.integer(string='Safety stock in time'),
         'safety_stock': fields.integer(string='Safety stock (quantity'),
-        'past_consumption': fields.boolean(string='Past monthly consumtion'),
-        'reviewed_consumption': fields.boolean(string='Reviewed monthly consumtion'),
-        'manual_consumption': fields.boolean(string='Manual monthly consumtion'),
+        'past_consumption': fields.boolean(string='Past monthly consumption'),
+        'reviewed_consumption': fields.boolean(string='Reviewed monthly consumption'),
+        'manual_consumption': fields.boolean(string='Manual monthly consumption'),
         'next_date': fields.related('frequence_id', 'next_date', string='Next scheduled date', readonly=True, type='date',
                                     store={'stock.warehouse.order.cycle': (lambda self, cr, uid, ids, context={}: ids, ['frequence_id'], 20),
                                            'stock.frequence': (_get_frequence_change, None, 20)}),
@@ -67,6 +67,7 @@
         'active': lambda *a: 1,
         'name': lambda x,y,z,c: x.pool.get('ir.sequence').get(y,z,'stock.order.cycle') or '',
         'company_id': lambda self, cr, uid, c: self.pool.get('res.company')._company_default_get(cr, uid, 'stock.warehouse.order.cycle', context=c)
+        'order_coverage': lambda *a: 3,
     }
     
     def choose_change_frequence(self, cr, uid, ids, context={}):

=== modified file 'procurement_cycle/procurement_view.xml'
--- procurement_cycle/procurement_view.xml	2011-04-01 14:06:16 +0000
+++ procurement_cycle/procurement_view.xml	2011-04-04 15:52:40 +0000
@@ -12,7 +12,7 @@
                         <separator string="General Information" />
                         <field name="name" />
                         <field name="category_id" attrs="{'required': [('product_id', '=', False)]}"/>
-                        <field name="product_id" attrs="{'required': [('category_id', '=', False)]}" domain="[('categ_id', '=', category_id)]"/>
+                        <field name="product_id" attrs="{'required': [('category_id', '=', False)]}" domain="[('fnct_categ_id', '=', category_id)]"/>
                     </group>
                     <group colspan="2" col="2">
                         <separator string="Locations" />

=== added file 'procurement_cycle/scheduler.py'
--- procurement_cycle/scheduler.py	1970-01-01 00:00:00 +0000
+++ procurement_cycle/scheduler.py	2011-04-04 15:52:40 +0000
@@ -0,0 +1,225 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF 
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from osv import osv, fields
+from datetime import datetime
+from tools.translate import _
+
+import time
+import pooler
+import netsvc
+
+
+# Cache for product/location
+cache = {}
+
+class procurement_order(osv.osv):
+    _name = 'procurement.order'
+    _inherit = 'procurement.order'
+    
+    def run_automatic_cycle(self, cr, uid, use_new_cursor=False, context={}):
+        '''
+        Create procurement on fixed date
+        '''
+        if use_new_cursor:
+            cr = pooler.get_db(use_new_cursor).cursor()
+            
+        request_obj = self.pool.get('res.request')
+        cycle_obj = self.pool.get('stock.warehouse.order.cycle')
+        proc_obj = self.pool.get('procurement.order')
+        product_obj = self.pool.get('product.product')
+        
+        cylce_ids = cycle_obj.search(cr, uid, [('next_date', '=', datetime.today().strftime('%Y-%m-%d')), ('prodcut_id', '=', False)])
+        
+        created_proc = []
+        report = []
+        report_except = 0
+        
+        start_date = datetime.now()
+        
+        # We start with only category Automatic Supply
+        for cycle in cycle_obj.browse(cr, uid, cycle_ids):
+            # We define the replenish location
+            location_id = False
+            if not auto_sup.location_id or not auto_sup.location_id.id:
+                location_id = auto_sup.warehouse_id.lot_input_id.id
+            else:
+                location_id = auto_sup.location_id.id
+                
+            d_values = {'leadtime': cycle.leadtime,
+                        'coverage': cycle.order_coverage,
+                        'safety_time': cycle.safety_stock_time,
+                        'safety': cycle.safety_stock,}
+            
+            product_ids = product_obj.search(cr, uid, [('categ_id', '=', cycle.categ_id.id), ('id', 'not in', cycle.product_ids)])
+            
+            for product in product_obj.browse(cr, uid, product_ids):
+                proc_id = self.create_proc_cycle(cr, uid, product.id, location_id, d_values)
+                
+                if proc_id:
+                    created_proc.append(proc_id)
+        
+        # Next, for one product automatic supply
+        cycle_ids = cycle_obj.search(cr, uid, [('next_date', '=', datetime.today().strftime('%Y-%m-%d')), ('product_id', '!=', False)])
+        for cycle in cycle_obj.browse(cr, uid, cycle_ids):
+            # We define the replenish location
+            location_id = False
+            if not auto_sup.location_id or not auto_sup.location_id.id:
+                location_id = auto_sup.warehouse_id.lot_input_id.id
+            else:
+                location_id = auto_sup.location_id.id
+                
+            d_values = {'leadtime': cycle.leadtime,
+                        'coverage': cycle.order_coverage,
+                        'safety_time': cycle.safety_stock_time,
+                        'safety': cycle.safety_stock,}
+            
+            proc_id = self.create_proc_cycle(cr, uid, cycle, cycle.product_id.id, location_id, d_values)
+            
+            if proc_id:
+                created_proc.append(proc_id)
+                    
+        for proc in proc_obj.browse(cr, uid, created_proc):
+            if proc.state == 'exception':
+                report.append('PROC %d: from stock - %3.2f %-5s - %s' % \
+                               (proc.id, proc.product_qty, proc.product_uom.name,
+                                proc.product_id.name,))
+                report_except += 1
+                
+        end_date = datetime.now()
+                
+        summary = '''Here is the procurement scheduling report for Order Cycle
+
+        Start Time: %s
+        End Time: %s
+        Total Procurements processed: %d
+        Procurements with exceptions: %d
+
+        Exceptions:\n'''% (start_date, end_date, len(created_proc), report_except)
+        summary += '\n'.join(report)
+        request_obj.create(cr, uid,
+                {'name': "Procurement Processing Report.",
+                 'act_from': uid,
+                 'act_to': uid,
+                 'body': summary,
+                })
+        
+        if use_new_cursor:
+            cr.commit()
+            cr.close()
+            
+        return {}
+    
+    def create_proc_cycle(self, cr, uid, cycle, product_id, location_id, d_values={}, context={}):
+        '''
+        Creates a procurement order for a product and a location
+        '''
+        proc_obj = self.pool.get('procurement.order')
+        cycle_obj = self.pool.get('stock.warehouse.order.cycle')
+        product_obj = self.pool.get('product.product')
+        wf_service = netsvc.LocalService("workflow")
+        report = []
+        proc_id = False
+        
+        if isintance(product_id, (int, long)):
+            product_id = [product_id]
+        
+        product = product_obj.browse(cr, uid, product_id[0])
+        
+        # Enter the stock location in cache to know which products has been already replenish for this location
+        if not cache.get(location_id, False):
+            cache.update({location_id: []})
+        
+        # If a rule already exist for the category of the product or for the product
+        # itself for the same location, we don't create a procurement order 
+        cycle_ids = cycle_obj.search(cr, uid, [('category_id', '=', product.categ_id.id), ('location_id', '=', location_id)])
+        cycle2_id = cycle_obj.search(cr, uid, [('product_id', '=', product.id), ('location_id', '=', location_id)])
+        if cycle_ids or cycle2_ids:
+            return False
+        
+        newdate = datetime.today()
+        quantity_to_order = self._compute_quantity(cr, uid, product.id, location_id, d_values)
+            
+        if product_id.id not in cache.get(location_id):
+            newdate = datetime.today()
+            proc_id = proc_obj.create(cr, uid, {
+                                        'name': _('Automatic Supply: %s') % (auto_sup.name,),
+                                        'origin': auto_sup.name,
+                                        'date_planned': newdate.strftime('%Y-%m-%d %H:%M:%S'),
+                                        'product_id': product_id.id,
+                                        'product_qty': qty,
+                                        'product_uom': product_uom,
+                                        'location_id': location_id,
+                                        'procure_method': 'make_to_order',
+                })
+            wf_service.trg_validate(uid, 'procurement.order', proc_id, 'button_confirm', cr)
+            wf_service.trg_validate(uid, 'procurement.order', proc_id, 'button_check', cr)
+            auto_sup_obj.write(cr, uid, [auto_sup.id], {'procurement_id': proc_id}, context=context)
+            
+            # Fill the cache
+            cache.get(location_id).append(product_id.id)
+        
+        return proc_id
+    
+    def _compute_quantity(self, cr, uid, product_id, location_id, d_values={}):
+        '''
+        Compute the quantity of product to order
+        '''
+        product_obj = self.pool.get('product.product')
+        
+        if isintance(product_id, (int, long)):
+            product_id = [product_id]
+            
+        res = 0.0
+        
+        leadtime = d_values.get('leadtime', self._get_leadtime(cr, uid, product_id[0]))
+        order_coverage = d_values.get('coverage', 3)
+        # TODO: Monthly consumption will be develop in a future iteration (for the moment, product_consumption module is used)
+        consumption = product_obj.browse(cr, uid, product_id[0]).monthly_consumption
+        
+        projected_available_qty = self._compute_available_qty(cr, uid, product_id, location_id, d_values)
+                
+        return res
+    
+    def _get_leadtime(self, cr, uid, product_id):
+        '''
+        Returns the leadtime of the main supplier for the product
+        '''
+        product_obj = self.pool.get('product.product')
+        sup_info_obj = self.pool.get('product.supplierinfo')
+        
+        if isintance(product_id, (int, long)):
+            product_id = [product_id]
+        
+        product = product_obj.browse(cr, uid, product_id[0])
+        sup_info = sup_info_obj.search(cr, uid, [('product_id', '=', product_id[0])], 0, 'sequence asc', limit=1)
+        
+        return len(supinfo) > 0 and sup_info_obj.browse(cr, uid, sup_info[0]).leadtime or False
+    
+    def _compute_available_qty(self, cr, uid, product_id, location_id, d_values={}):
+        '''
+        Compute the available qty of the product according to time in d_values
+        '''
+        
+        
+procurement_order()
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
\ No newline at end of file

=== added directory 'procurement_cycle/test'
=== added file 'procurement_cycle/test/data.yml'
--- procurement_cycle/test/data.yml	1970-01-01 00:00:00 +0000
+++ procurement_cycle/test/data.yml	2011-04-04 15:52:40 +0000
@@ -0,0 +1,135 @@
+-
+  In order to test dates in Orders, I create initial data
+-
+    I create 3 partners
+-
+    I create supplier S1
+-
+  !record {model: res.partner, id: supplier1}:
+    name: S1
+    supplier: True
+-
+    I create the address for S1
+-
+  !record {model: res.partner.address, id: address1}:
+    name: S1
+    partner_id: supplier1
+-
+    I create the supplier S2
+-
+  !record {model: res.partner, id: supplier2}:
+    name: S2
+    supplier: True
+-
+    I create the address for S2
+-
+  !record {model: res.partner.address, id: address2}:
+    name: S2
+    partner_id: supplier2
+-
+    I create the supplier S3
+-
+  !record {model: res.partner, id: supplier3}:
+    name: S3
+    supplier: True
+-
+    I create the address for S3
+-
+  !record {model: res.partner.address, id: address3}:
+    name: S3
+    partner_id: supplier3
+-
+    In order to test the procurement list module, I start by creating a new product category
+-
+  !record {model: product.category, id: product_cat1}:
+    name: Categ1
+-
+    I create the product P1
+-
+  !record {model: product.product, id: product1}:
+    categ_id: product_cat1
+    cost_method: standard
+    mes_type: fixed
+    name: P1
+    price_margin: 2.0
+    procure_method: make_to_stock
+    property_stock_inventory: stock.location_inventory
+    property_stock_procurement: stock.location_procurement
+    property_stock_production: stock.location_production
+    seller_delay: '1'
+    standard_price: 100.0
+    supply_method: buy
+    type: product
+    uom_id: product.product_uom_unit
+    uom_po_id: product.product_uom_unit
+    volume : 0.0
+    warranty: 0.0
+    weight: 0.0
+    weight_net: 0.0
+    seller_ids:
+      - sequence: 10
+        min_qty: 0.00
+        name: supplier1
+      - sequence: 20
+        min_qty: 0.00
+        name: supplier2
+      - sequence: 30
+        min_qty: 0.00
+        name: supplier3
+-
+    I create a second product, P2
+-
+  !record {model: product.product, id: product2}:
+    categ_id: product_cat1
+    cost_method: standard
+    mes_type: fixed
+    name: P2
+    price_margin: 2.0
+    procure_method: make_to_stock
+    property_stock_inventory: stock.location_inventory
+    property_stock_procurement: stock.location_procurement
+    property_stock_production: stock.location_production
+    seller_delay: '1'
+    standard_price: 100.0
+    supply_method: buy
+    type: product
+    uom_id: product.product_uom_unit
+    uom_po_id: product.product_uom_unit
+    volume : 0.0
+    warranty: 0.0
+    weight: 0.0
+    weight_net: 0.0
+    seller_ids:
+      - sequence: 10
+        min_qty: 0.00
+        name: supplier2
+      - sequence: 20
+        min_qty: 0.00
+        name: supplier1
+-
+    I create the product P3
+-
+  !record {model: product.product, id: product3}:
+    categ_id: product.cat0
+    cost_method: standard
+    mes_type: fixed
+    name: P3
+    price_margin: 2.0
+    procure_method: make_to_stock
+    property_stock_inventory: stock.location_inventory
+    property_stock_procurement: stock.location_procurement
+    property_stock_production: stock.location_production
+    seller_delay: '1'
+    standard_price: 100.0
+    supply_method: buy
+    type: product
+    uom_id: product.product_uom_unit    
+    uom_po_id: product.product_uom_unit
+    volume : 0.0
+    warranty: 0.0
+    weight: 0.0
+    weight_net: 0.0
+    seller_ids:
+      - sequence: 10
+        min_qty: 0.00
+        name: supplier3
\ No newline at end of file

=== added file 'procurement_cycle/test/proc_cycle.yml'
--- procurement_cycle/test/proc_cycle.yml	1970-01-01 00:00:00 +0000
+++ procurement_cycle/test/proc_cycle.yml	2011-04-04 15:52:40 +0000
@@ -0,0 +1,85 @@
+-
+  In order to test the behaviour of the Procurement Cycle Module
+  we will create new rules for products and run the scheduler to
+  see that results are good.
+-
+  We create a new frequency
+-
+  !record {model: stock.frequence, id: daily1}:
+    name: daily
+    daily_frequency_ok: True
+    daily_frequency: 1
+    start_date: !eval time.strftime('%Y-%m-%d', time.strptime('2010-03-03', '%Y-%m-%d'))
+    no_end_date: True
+-
+  We create a new rule for product1
+-
+  !record {model: stock.warehouse.automatic.supply, id: r1}:
+    category_id: product.cat0
+    line_ids:
+      - product_id: product1
+        product_uom_id: product.product_uom_unit
+        product_qty: 500
+    warehouse_id: stock.warehouse0
+    frequence_id: daily1
+-
+  We check if the compute next date is good
+-
+  !python {model: stock.warehouse.automatic.supply}: |
+    from mx.DateTime import *
+    next_date = self.browse(cr, uid, ref('r1')).next_date
+    assert next_date == today().strftime('%Y-%m-%d'), "(1) Bad value for computed next date"
+-
+  We modify the frequence
+-
+  !record {model: stock.frequence, id: daily1}:
+    name: yearly
+    yearly_frequency: 1
+    yearly_day_ok: 1
+    yearly_day: 1
+    yearly_choose_month: january
+-
+  We check if the compute next date is equal to next January, the 1st
+-
+  !python {model: stock.warehouse.automatic.supply}: |
+    from mx.DateTime import *
+    today = today()
+    next_date = self.browse(cr, uid, ref('r1')).next_date
+    if today.day == 1 and today.month == 1:
+      assert next_date == today.strftime('%Y-%m-%d'), "(2) Bad value for computed next date"
+    else:
+      good_date = DateTime(today.year+1, 1, 1)
+      assert next_date == good_date.strftime('%Y-%m-%d'), "(3) Bad value for computed next date"
+-
+  We create a new frequency
+-
+  !record {model: stock.frequence, id: daily2}:
+    name: daily
+    daily_frequency_ok: True
+    daily_frequency: 1
+    start_date: !eval time.strftime('%Y-%m-%d', time.strptime('2010-03-03', '%Y-%m-%d'))
+    no_end_date: True
+-
+  We create a new rule for product2
+-
+  !record {model: stock.warehouse.automatic.supply, id: r2}:
+    category_id: product.cat0
+    line_ids:
+      - product_id: product2
+        product_uom_id: product.product_uom_unit
+        product_qty: 500
+    warehouse_id: stock.warehouse0
+    frequence_id: daily2
+-
+  We run the scheduler
+-
+  !python {model: procurement.order}: |
+    self.run_automatic_supply(cr, uid, False, context={})
+-
+  Check if only one procurement has been created by the scheduler
+-
+  !python {model: procurement.order}: |
+    p1_ids = self.search(cr, uid, [('product_id', '=', ref('product1'))])
+    p2_ids = self.search(cr, uid, [('product_id', '=', ref('product2'))])
+    assert len(p1_ids) == 0, "Error : the scheduler has created a procurement order for P1"
+    assert len(p2_ids) == 1, "Error : the scheduler hasn't created a procurement order for P2"
\ No newline at end of file

=== added directory 'procurement_cycle/wizard'
=== added file 'procurement_cycle/wizard/__init__.py'
--- procurement_cycle/wizard/__init__.py	1970-01-01 00:00:00 +0000
+++ procurement_cycle/wizard/__init__.py	2011-04-04 15:52:40 +0000
@@ -0,0 +1,1 @@
+import schedulers_all
\ No newline at end of file

=== added file 'procurement_cycle/wizard/schedulers_all.py'
--- procurement_cycle/wizard/schedulers_all.py	1970-01-01 00:00:00 +0000
+++ procurement_cycle/wizard/schedulers_all.py	2011-04-04 15:52:40 +0000
@@ -0,0 +1,63 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import threading
+
+from osv import osv, fields
+
+class procurement_compute_all(osv.osv_memory):
+    _name = 'procurement.supply.compute.all'
+    _description = 'Compute all schedulers'
+
+    _columns = {
+    }
+
+    _defaults = {
+    }
+
+    def _procure_calculation_all_cycle(self, cr, uid, ids, context=None):
+        """
+        @param self: The object pointer.
+        @param cr: A database cursor
+        @param uid: ID of the user currently logged in
+        @param ids: List of IDs selected
+        @param context: A standard dictionary
+        """
+        proc_obj = self.pool.get('procurement.order')
+        for proc in self.browse(cr, uid, ids, context=context):
+            proc_obj.run_automatic_cycle(cr, uid, use_new_cursor=cr.dbname, context=context)
+        return {}
+
+    def procure_calculation_cycle(self, cr, uid, ids, context=None):
+        """
+        @param self: The object pointer.
+        @param cr: A database cursor
+        @param uid: ID of the user currently logged in
+        @param ids: List of IDs selected
+        @param context: A standard dictionary
+        """
+        threaded_calculation = threading.Thread(target=self._procure_calculation_all, args=(cr, uid, ids, context))
+        threaded_calculation.start()
+        return {'type': 'ir.actions.act_window_close'}
+
+procurement_compute_all()
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'procurement_cycle/wizard/schedulers_all_view.xml'
--- procurement_cycle/wizard/schedulers_all_view.xml	1970-01-01 00:00:00 +0000
+++ procurement_cycle/wizard/schedulers_all_view.xml	2011-04-04 15:52:40 +0000
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+        <!--  Compute Schedulers -->
+
+		<record id="view_compute_schedulers_wizard" model="ir.ui.view">
+            <field name="name">Compute Schedulers Supply</field>
+            <field name="model">procurement.cycle.compute.all</field>
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+                <form string="Scheduler Cycle Parameters">
+				    <group col="2" colspan="4">
+                		<button icon='gtk-cancel' special="cancel"
+                			string="Cancel" />
+                		<button name="procure_calculation_cycle" string="Compute Schedulers"
+                			colspan="1" type="object" icon="gtk-ok" />
+                	</group>
+                </form>
+            </field>
+        </record>
+
+         <act_window name="Compute Schedulers Cycle"
+		    res_model="procurement.cycle.compute.all"
+		    src_model="procurement.order"
+		    view_mode="form"
+		    target="new"
+            key2="client_action_multi"
+		    id="action_compute_schedulers_cycle"/>
+		    
+		<menuitem action="action_compute_schedulers_cycle" id="menu_stock_proc_schedulers_cycle" parent="procurement.menu_stock_sched" sequence="20" groups="stock.group_stock_manager"/>
+		    
+
+	</data>
+</openerp>

=== added directory 'product_consumption'
=== added file 'product_consumption/__init__.py'
--- product_consumption/__init__.py	1970-01-01 00:00:00 +0000
+++ product_consumption/__init__.py	2011-04-04 15:52:40 +0000
@@ -0,0 +1,24 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF 
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import product
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
\ No newline at end of file

=== added file 'product_consumption/__init__.pyc'
Binary files product_consumption/__init__.pyc and product_consumption/__init__.pyc differ
=== added file 'product_consumption/__openerp__.py'
--- product_consumption/__openerp__.py	1970-01-01 00:00:00 +0000
+++ product_consumption/__openerp__.py	2011-04-04 15:52:40 +0000
@@ -0,0 +1,44 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF 
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{
+    "name": "Product Consumption",
+    "version": "1.0",
+    "depends": ["base", "product", "stock"],
+    "author": "TeMPO Consulting, MSF",
+    "website": "",
+    "category": "Stock & Warehouse",
+    "description": """
+    This module aims to compute stock consumption for products
+    """,
+    "init_xml": [
+    ],
+    'update_xml': [
+        'product_view.xml',
+    ],
+    'demo_xml': [
+    ],
+    'installable': True,
+    'active': False,
+#    'certificate': 'certificate',
+}
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
\ No newline at end of file

=== added file 'product_consumption/product.py'
--- product_consumption/product.py	1970-01-01 00:00:00 +0000
+++ product_consumption/product.py	2011-04-04 15:52:40 +0000
@@ -0,0 +1,34 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2011 TeMPO Consulting, MSF 
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from osv import osv, fields
+
+class product_product(osv.osv):
+    _name = 'product.product'
+    _inherit = 'product.product'
+    
+    _columns = {
+        'monthly_consumption': fields.float(digits=(16,2), string='Monthly Consumption'),
+    }
+    
+product_product()
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
\ No newline at end of file

=== added file 'product_consumption/product.pyc'
Binary files product_consumption/product.pyc and product_consumption/product.pyc differ
=== added file 'product_consumption/product_view.xml'
--- product_consumption/product_view.xml	1970-01-01 00:00:00 +0000
+++ product_consumption/product_view.xml	2011-04-04 15:52:40 +0000
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<openerp>
+    <data>
+    
+        <record id="monthly_cons_product_form_view" model="ir.ui.view">
+            <field name="name">monthlu.cons.product.form.view</field>
+            <field name="model">product.product</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="product.product_normal_form_view" />
+            <field name="arch" type="xml">
+                <data>
+                    <xpath expr="/form/notebook/page[@string='Procurement &amp; Locations']/group[3]/field[@name='company_id]" position="after">
+                        <field name="monthly_consumption" />
+                    </xpath>
+                </data>
+            </field>
+        </record>
+    
+    </data>
+</openerp>
\ No newline at end of file

=== added directory 'product_consumption/security'
=== added directory 'product_consumption/test'
